// Пример 1. Печать списка ЛС.

Primer01()
{
  // создаем объект класса для работы с текущей таблицей
  var CTabl=CreateObject("CurPrnTbl");
  int cr=CTabl.Count_Rcr(); // число рабочих записей в таблице   

  char str[250];

  int    tn;  // табельный номер
  string fio; // фамилия, имя, отчество

  // цикл по записям таблицы
  for (int zap=0; zap<cr; zap++)
  {
    tn =atoi(CTabl.TextS("C_FIO",zap));
    fio=CTabl.TextS("FIO",zap); 
    FreeSpaceString(fio,3,"");

    sprintf(str,"%7d %-40.40s", tn, fio); 
    print(str);
  }

  return 0;
}
